package com.db.frmdsc.toolkit.document.xls;

import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;

import org.apache.commons.io.IOUtils;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.ss.usermodel.WorkbookFactory;
import org.apache.poi.ss.util.CellRangeAddress;
import org.junit.Test;

public class AutoFilterUnitTest {

    @Test
    public void testAutoFilter() throws Exception {
        File file = null;
        OutputStream outputStream = null;
        InputStream inputStream = null;
        try {
            inputStream = getClass().getResourceAsStream("AutoFilterUnitTest.xls");
            Workbook workbook = WorkbookFactory.create(inputStream);
            
            Sheet sheet = workbook.getSheet("A");
            sheet.setAutoFilter(CellRangeAddress.valueOf("A1:F2"));
            
            file = File.createTempFile("outputAutoFilterUnitTest", ".xls");
            outputStream = new BufferedOutputStream(new FileOutputStream(file));
            workbook.write(outputStream);
            outputStream.close();
            System.out.println("Done");
        } finally {
            IOUtils.closeQuietly(inputStream);
            IOUtils.closeQuietly(outputStream);
            if (file != null) {
                file.delete();
            }
        }
    }

}
